#
# spec file for package python-sane
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sane
Version:        2.8.3
Release:        lp150.2.1
Summary:        A Python interface to the SANE scanner and frame grabber interface
License:        NTP
Group:          Development/Languages/Python
URL:            https://github.com/python-pillow/Sane
Source:         https://github.com/python-pillow/Sane/archive/v%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  sane-backends-devel
%python_subpackages

%description
The SANE module provides an interface to the SANE scanner and frame grabber interface for Linux.  This module has been split out from Pillow since version 2.7.0.

%prep
%setup -q -n Sane-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install

%python_expand %fdupes %{buildroot}%{$python_sitearch}/

%files %{python_files}
%doc README.rst CHANGES.rst
%license COPYING
%{python_sitearch}/*

%changelog
* Thu May 10 2018 toddrme2178@gmail.com
- Don't forget python-rpm-macros
* Wed Dec 20 2017 badshah400@gmail.com
- Update to version 2.8.3:
  * _sane.c: Don't call sane_close on handle if sane_exit was
    called since.
  * Documentation:
  - Fix example and documentation to reflect actual arr_snap
    array shape.
  - Fix various typos.
- Run fdupes to link up duplicate files.
* Fri Nov 11 2016 badshah400@gmail.com
- Initial package.
